org.apache.lucene.search.uhighlight

## Class UnifiedHighlighter.LimitedStoredFieldVisitor

- java.lang.Object
- - org.apache.lucene.index.StoredFieldVisitor
  - - org.apache.lucene.search.uhighlight.UnifiedHighlighter.LimitedStoredFieldVisitor

Enclosing class:
  UnifiedHighlighter

    protected static class UnifiedHighlighter.LimitedStoredFieldVisitor
    extends StoredFieldVisitor

Fetches stored fields for highlighting. Uses a multi-val separator char and honors a max length to retrieve.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.StoredFieldVisitor

`StoredFieldVisitor.Status`

### Field Summary

Fields
`protected int` `currentField`
`protected String[]` `fields`
`protected int` `maxLength`
`protected CharSequence[]` `values`
`protected char` `valueSeparator`

### Constructor Summary

Constructors
Constructor and Description
`LimitedStoredFieldVisitor(String[] fields, char valueSeparator, int maxLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StoredFieldVisitor.Status` `needsField(FieldInfo fieldInfo)`
`void` `stringField(FieldInfo fieldInfo, byte[] byteValue)`

### Methods inherited from class org.apache.lucene.index.StoredFieldVisitor

`binaryField, doubleField, floatField, intField, longField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fields

    protected final String[] fields

#### valueSeparator

    protected final char valueSeparator

#### maxLength

    protected final int maxLength

#### values

    protected CharSequence[] values

#### currentField

    protected int currentField

### Constructor Detail

#### LimitedStoredFieldVisitor

    public LimitedStoredFieldVisitor(String[] fields,
                                     char valueSeparator,
                                     int maxLength)

### Method Detail

#### stringField

    public void stringField(FieldInfo fieldInfo,
                            byte[] byteValue)
                     throws IOException

Overrides:
  `stringField` in class `StoredFieldVisitor`
Throws:
  `IOException`

#### needsField

    public StoredFieldVisitor.Status needsField(FieldInfo fieldInfo)
                                         throws IOException

Specified by:
  `needsField` in class `StoredFieldVisitor`
Throws:
  `IOException`